Duplicate Dashboard
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends/dashboards/{trends_dashboard_id}/duplicate \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends/dashboards/{trends_dashboard_id}/duplicate"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/log_streams/{log_stream_id}/trends/dashboards/{trends_dashboard_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"is_default": true,
"visibility": "<string>",
"log_stream_id": "<string>",
"project_id": "<string>",
"layout_map": {},
"interval_mins": 123,
"start_time": 123,
"end_time": 123,
"description": "<string>",
"created_by": "<string>",
"is_favorited": false,
"widgets": [
{
"id": "<string>",
"name": "<string>",
"metric": "<string>",
"description": "<string>",
"dataset": [
{}
],
"section_id": "<string>"
}
],
"sections": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>",
"widgets": [
{
"id": "<string>",
"name": "<string>",
"metric": "<string>",
"description": "<string>",
"dataset": [
{}
],
"section_id": "<string>"
}
]
}
],
"group_by": "<string>",
"filter_tree": {
"filter": {
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
},
"relative_time": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trends_dashboard
Duplicate Dashboard
POST
/
v2
/
projects
/
{project_id}
/
log_streams
/
{log_stream_id}
/
trends
/
dashboards
/
{trends_dashboard_id}
/
duplicate
Duplicate Dashboard
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Response
Successful Response
Maximum array length:
50Show child attributes
Show child attributes
Maximum array length:
50Show child attributes
Show child attributes
filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object
- FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
Show child attributes
Show child attributes
Was this page helpful?
⌘I